// To parse this JSON data, do
//
//     final getOutputInfoModel = getOutputInfoModelFromJson(jsonString);

import 'dart:convert';

List<GetOutputInfoModel> getOutputInfoModelFromJson(String str) => List<GetOutputInfoModel>.from(json.decode(str).map((x) => GetOutputInfoModel.fromJson(x)));

String getOutputInfoModelToJson(List<GetOutputInfoModel> data) => json.encode(List<dynamic>.from(data.map((x) => x.toJson())));

class GetOutputInfoModel {
  GetOutputInfoModel({
    this.amount,
    this.currency,
    this.numNotes,
    this.isRecycling
  });

  double? amount;
  String? currency;
  int? numNotes;
  bool? isRecycling;


  factory GetOutputInfoModel.fromJson(Map<String, dynamic> json) => GetOutputInfoModel(
    amount: json["amount"] == null ? null : json["amount"].toDouble(),
    currency: json["currency"] == null ? null : json["currency"],
    numNotes: json["numNotes"] == null ? null : json["numNotes"],
    isRecycling: json["isRecycling"] == null ? null : json["isRecycling"],
  );

  Map<String, dynamic> toJson() => {
    "amount": amount == null ? null : amount,
    "currency": currency == null ? null : currency,
    "numNotes": numNotes == null ? null : numNotes,
    "isRecycling": isRecycling == null ? null : isRecycling,
  };
}
